classification
Title: `python -m dis ` should use argparse
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: belopolsky, haypo, maker, ncoghlan, python-dev, tshepang
Priority: normal Keywords: patch

Created on 2013-07-23 23:44 by maker, last changed 2013-08-24 14:48 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue18538.log maker, 2013-07-23 23:49
issue18538.patch maker, 2013-07-24 00:26
Messages (4)
msg193621 - (view) Author: Michele OrrĂ¹ (maker) * Date: 2013-07-23 23:49
I feel a little bit embarassed for this patch;
while reading the stdlib's Lib/dis.py file, I saw that the _test() function parses by itself sys.argv. 

I tried to clean it up using argparse; diff and "manual tests" attached.
msg193623 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2013-07-24 00:22
Please attach your patch separatly.
msg196069 - (view) Author: Michele OrrĂ¹ (maker) * Date: 2013-08-24 09:29
Ping.
msg196080 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-24 14:48
New changeset 59f98b96607e by Nick Coghlan in branch 'default':
Close #18538: ``python -m dis`` now uses argparse.
http://hg.python.org/cpython/rev/59f98b96607e
History
Date User Action Args
2013-08-24 14:48:32python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg196080

resolution: fixed
stage: resolved
2013-08-24 09:29:24makersetmessages: + msg196069
2013-07-29 02:19:00belopolskysetnosy: + belopolsky
2013-07-26 19:57:43terry.reedysettitle: `python -m dis ` relying on argparse -> `python -m dis ` should use argparse
versions: + Python 3.4, - Python 3.5
2013-07-26 17:37:28tshepangsetnosy: + tshepang
2013-07-25 14:03:37pitrousetnosy: + ncoghlan
2013-07-24 00:26:55makersetfiles: + issue18538.patch
keywords: + patch
2013-07-24 00:22:15hayposetnosy: + haypo
messages: + msg193623
2013-07-23 23:49:15makersetfiles: + issue18538.log

messages: + msg193621
title: `python -m dis ` -> `python -m dis ` relying on argparse
2013-07-23 23:44:41makercreate